petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatIsSymmetric

Test whether a matrix is symmetric

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsSymmetric(Mat A,PetscReal tol,PetscBool  *flg)

Collective on Mat Many br

### Input Parameter

| A | - the matrix to test Many br
| tol | - difference between value and its transpose less than this amount counts as equal (use 0.0 for exact transpose) Many br

### Output Parameters

flg -the result Many br

Notes: For real numbers MatIsSymmetric() and MatIsHermitian() return identical results Many br

Many br

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsStructurallySymmetric(), MatSetOption(), MatIsSymmetricKnown()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages